#include "MouseEvent.h"

MouseEvent::MouseEvent()
    : UiEvent(),
      mClientLocation(0, 0),
      mScreenLocation(0, 0),
      mAction()
{
    mType = UiEvent::Type::Mouse;
}

MouseEvent::~MouseEvent()
{

}

std::unique_ptr<MouseEvent> MouseEvent::Create()
{
    return std::make_unique<MouseEvent>();
}

void MouseEvent::setClientLocation(Pixel location)
{
    mClientLocation = location;
}

void MouseEvent::setScreenLocation(Pixel location)
{
    mScreenLocation = location;
}

void MouseEvent::setAction(MouseEvent::Action action)
{
    mAction = action;
}

Pixel MouseEvent::getClientLocation() const
{
    return mClientLocation;
}

Pixel MouseEvent::getScreenLocation() const
{
    return mScreenLocation;
}

MouseEvent::Action MouseEvent::getAction() const
{
    return mAction;
}

